#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-4ic7z3I3OCdJfejEmIpONa-dns-internal
key:                  dns-4.0.1-4ic7z3I3OCdJfejEmIpONa-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  d0142702c24347888e0d7dc519c8c560
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-4ic7z3I3OCdJfejEmIpONa-dns-internal
depends:
    array-0.5.4.0 async-2.2.3-KG7Du60y7DvAqBDAYoSjqL
    attoparsec-0.14.1-FCw2YbaswCt6roS8dkagL4
    auto-update-0.1.6-J5P3ZHzHHYQCeNqSGWNiz8 base-4.15.0.0
    base16-bytestring-1.0.1.0-HEKD2Oo8vtLxC8G87I8MD
    base64-bytestring-1.2.1.0-GF7RNKVUXzr7ftO0CMZbPs
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-9t1m9WkRw4NHt6hLWOfmFh
    hourglass-0.2.12-GSoPGhZBgG665A7B1ibeof
    iproute-1.7.11-5ezqbNJ6QlDEtZtRI03dJ8 mtl-2.2.2
    network-3.1.2.2-AIHAQTgcOP2p9DGqwUMBL
    psqueues-0.2.7.2-5jAgfgVZWt692xBQREM8os

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-1G1Wi28XkuQ86ZxPWmX1Ir
key:                  dns-4.0.1-1G1Wi28XkuQ86ZxPWmX1Ir
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  d87049f41bb8880f0edf9b7cc59d20a6
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-1G1Wi28XkuQ86ZxPWmX1Ir
depends:
    array-0.5.4.0 async-2.2.3-KG7Du60y7DvAqBDAYoSjqL
    attoparsec-0.14.1-FCw2YbaswCt6roS8dkagL4
    auto-update-0.1.6-J5P3ZHzHHYQCeNqSGWNiz8 base-4.15.0.0
    base16-bytestring-1.0.1.0-HEKD2Oo8vtLxC8G87I8MD
    base64-bytestring-1.2.1.0-GF7RNKVUXzr7ftO0CMZbPs
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-9t1m9WkRw4NHt6hLWOfmFh
    dns-4.0.1-4ic7z3I3OCdJfejEmIpONa-dns-internal
    hourglass-0.2.12-GSoPGhZBgG665A7B1ibeof
    iproute-1.7.11-5ezqbNJ6QlDEtZtRI03dJ8 mtl-2.2.2
    network-3.1.2.2-AIHAQTgcOP2p9DGqwUMBL
    psqueues-0.2.7.2-5jAgfgVZWt692xBQREM8os

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

